<div class="zm-eventcard">
    <div class="zm-eventcard__headline"><span class="zm-eventcard__headline__no">{event.no}</span>{ event.headline}
    </div>
    <div class="zm-eventcard__description">{event.description}
    </div>
    <div class="zm-eventcard__footer">
        <div class="zm-eventcard__location"><a on:click="onClickLocation(event)" href="#" data-evnt={event.no}>{event.address}</a></div>
        <div class="zm-eventcard__date">{event.startdate} to {event.enddate}</div>
        
    </div>
</div>

<script>
    export default {
        methods:{
            onClickLocation(event){
               const { gmap,events } = this.store.get();
               const eventId = event.target.getAttribute('data-evnt');
               const foundEvnts = events.filter((_evnt) => {
                   return _evnt.no == eventId;
               });
               const evnt = foundEvnts[0];
               console.log('evnt',evnt, gmap);
               if(evnt){
                   gmap.map.setCenter(evnt.marker.getPosition());
                   gmap.map.setZoom(8);
               }
            }
        }
    }
</script>

<style>
    .zm-eventcard {
        width: 100%;
        height: 310px;
        display: flex;
        flex: 1 1 auto;
        flex-direction: column;
        box-shadow: 0 1px 2px 0 hsla(0, 0%, 0%, 0.2);
        background: #FFF;
        border-radius: 1.5px;
    }

    .zm-eventcard__headline {
        font-weight: 600;
        min-height: 75px;
        align-items: center;
        padding-left: 5px;
        padding-right: 5px;
        display: inline-flex;
        color: hsl(0, 0%, 29%);
        word-wrap: break-word;
        text-overflow: ellipsis;
        overflow: hidden;
    }

    .zm-eventcard__headline__no{
        background: hsla(225, 33%, 85%, 0.7);
        box-shadow: 0 1px 2px 0 hsla(0,0%,0%,0.2);
        width: 40px;
        height: 40px;
        min-width: 40px;
        background-size: cover;
        background-position: top center;
        border-radius: 50%;
        border-top-left-radius: 50%;
        border-top-right-radius: 50%;
        border-bottom-right-radius: 50%;
        border-bottom-left-radius: 50%;
        text-align: center;
        font-size: 24px;
        margin-right: 2px;
    }

    .zm-eventcard__description {
        color: hsl(0, 0%, 45%);
        font-weight: 400;
        min-height: 130px;
        max-height: 130px;
        padding-left: 10px;
        word-wrap: break-word;
        text-overflow: ellipsis;
        overflow: hidden;
    }

    .zm-eventcard__footer {
        min-height: 90px;
        display: flex;
        flex: 1 1 auto;
        flex-direction: column;
        align-items:flex-start; 
    }

    .zm-eventcard__location {
        height: 100%;
        font-weight: 600;
        padding-left: 10px;
        color: hsl(0, 0%, 29%);
        font-size: 14px;
        word-wrap: break-word;
        text-overflow: ellipsis;
        overflow: hidden;
    }

    .zm-eventcard__date{
        align-items: flex-end;
        padding: 10px;
        color: hsl(0, 0%, 29%);
        font-size: 14px;
    }

</style>